Bug 180127 - deskutils/notecase just freezes
Summary: deskutils/notecase just freezes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-30 19:20 UTC by walterhurry
Modified: 2013-07-04 09:10 UTC (History)
0 users

See Also:


Attachments
patch-notecase.txt (1.20 KB, patch)
2013-07-02 09:31 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description walterhurry 2013-06-30 19:20:00 UTC
After installing deskutils/notecase, when I run the command 'notecase', the GUI comes up but just hangs until killed

How-To-Repeat: Install deskutils/notecase
run 'notecase'
Comment 1 Edwin Groothuis freebsd_committer 2013-06-30 19:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2013-07-02 09:31:12 UTC
Hi Walter,

Thanks for having reported that issue. It seems others have the
same problem, see for example :

https://bugs.launchpad.net/ubuntu/+source/notecase/+bug/370819
or
http://bkhome.org/blog/?viewDetailed=00659

I managed to find that this bug is related to the grey welcome screen.
Disabling by default seems to fix the problem.

Could you apply the attached patch, reinstall notecase, remove the file
~/.notecase/notecase.ini, start notecase and tell me how it goes ?

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 dfilter freebsd_committer 2013-07-04 09:04:35 UTC
Author: martymac
Date: Thu Jul  4 08:04:22 2013
New Revision: 322267
URL: http://svnweb.freebsd.org/changeset/ports/322267

Log:
  - Fix 100% CPU usage at startup [1]
    by disabling the grey welcome screen
  - Use new Makefile header format
  - Use dos2unix
  
  PR:	ports/180127 [1]
  Submitted by:	Walter Hurry <walterhurry@gmail.com> [1]

Added:
  head/deskutils/notecase/files/patch-src-MainWnd.cpp   (contents, props changed)
Modified:
  head/deskutils/notecase/Makefile

Modified: head/deskutils/notecase/Makefile
==============================================================================
--- head/deskutils/notecase/Makefile	Thu Jul  4 06:53:46 2013	(r322266)
+++ head/deskutils/notecase/Makefile	Thu Jul  4 08:04:22 2013	(r322267)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	notecase
-# Date created:				19 July 2007
-# Whom:					Yinghong.Liu <relaxbsd@gmail.com>
-#
+# Created by: Yinghong.Liu <relaxbsd@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	notecase
 PORTVERSION=	1.9.8
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	deskutils textproc
 MASTER_SITES=	SF
 DISTNAME=	${PORTNAME}-${PORTVERSION}_src
@@ -18,8 +14,11 @@ COMMENT=	A hierarchical text notes manag
 LICENSE=	BSD
 
 USE_GMAKE=	yes
-USE_GNOME=	gtk20 gtksourceview2 gnomevfs2 desktopfileutils pkgconfig
-USES=		gettext
+USE_GNOME=	gtk20 gtksourceview2 gnomevfs2 desktopfileutils
+USES=		gettext pkgconfig
+
+USE_DOS2UNIX=	yes
+DOS2UNIX_REGEX=	.*\.(c|h|cpp)
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 

Added: head/deskutils/notecase/files/patch-src-MainWnd.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/notecase/files/patch-src-MainWnd.cpp	Thu Jul  4 08:04:22 2013	(r322267)
@@ -0,0 +1,13 @@
+Disable grey welcome screen as it crashes Notecase at startup
+
+--- src/MainWnd.cpp.orig	2013-07-03 17:46:48.000000000 +0200
++++ src/MainWnd.cpp	2013-07-03 17:46:48.000000000 +0200
+@@ -147,7 +147,7 @@
+ {
+ 	g_shortcuts.Load();
+ 
+-	g_objIni.GetValue("Display", "DrawGrayTextView", g_bDrawTextviewExpose, 1);
++	g_objIni.GetValue("Display", "DrawGrayTextView", g_bDrawTextviewExpose, 0);
+ 
+ 	g_objIni.GetValue("Display", "TreeToTheRight", g_bTreeToTheRight);
+ 	g_bTreeToTheRightInitial = g_bTreeToTheRight;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ganael LAPLANCHE freebsd_committer 2013-07-04 09:04:59 UTC
State Changed
From-To: open->closed

Committed, thanks!